Loading...
Searching...
No Matches
estimate_ibf_arguments Struct Reference

arguments used for estimate, ibf, ibfmin More...

`#include </build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/shared.hpp>`

Inheritance diagram for estimate_ibf_arguments:

## Public Member Functions

template<class Archive>
void | save (Archive &archive) const
template<class Archive>
void | load (Archive &archive)

## Public Attributes

bool | compressed = false
std::vector< uint16_t > | expression_thresholds {}
uint8_t | number_expression_thresholds {}
bool | samplewise {false}
Public Attributes inherited from min_arguments
uint8_t | k {20}
seqan3::seed | s {0x8F'3F'73'B5'CF'1C'9A'DEULL}
seqan3::shape | shape = seqan3::ungapped{k}
seqan3::window_size | w_size {60}
Public Attributes inherited from all_arguments
std::filesystem::path | path_out {"./"}
uint8_t | threads {1}

## Detailed Description

arguments used for estimate, ibf, ibfmin

## Member Function Documentation

## load()

template<class Archive>

void estimate_ibf_arguments::load | ( | Archive & | archive | ) |

inline

## save()

template<class Archive>

void estimate_ibf_arguments::save | ( | Archive & | archive | ) | const

inline

## Member Data Documentation

## compressed

bool estimate_ibf_arguments::compressed = false

## expression_thresholds

std::vector<uint16_t> estimate_ibf_arguments::expression_thresholds {}

## number_expression_thresholds

uint8_t estimate_ibf_arguments::number_expression_thresholds {}

## samplewise

bool estimate_ibf_arguments::samplewise {false}

The documentation for this struct was generated from the following file:

- /build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/shared.hpp